Eclipse Platform Release 3.7

## org.eclipse.ltk.core.refactoring.participants
Class CopyArguments

    java.lang.Object
      org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
          org.eclipse.ltk.core.refactoring.participants.CopyArguments

    public class CopyArguments

extends RefactoringArguments

Copy arguments describe the data that a processor provides to its copy participants.

This class is not intended to be subclassed by clients.

Since:
  3.1
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`CopyArguments(Object destination, ReorgExecutionLog log)` Creates new copy arguments.

Method Summary
`Object` `getDestination()` Returns the destination of the move
`ReorgExecutionLog` `getExecutionLog()` Returns the resource execution log.
`String` `toString()` Returns a string representation of these arguments suitable for debugging purposes only.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CopyArguments

    public CopyArguments(Object destination,
                         ReorgExecutionLog log)

  Creates new copy arguments.

  Parameters:
    `destination` - the destination of the copy
    `log` - the log for the execution of the reorg refactoring

Method Detail

### getDestination

    public Object getDestination()

  Returns the destination of the move

  Returns:
    the move's destination

### getExecutionLog

    public ReorgExecutionLog getExecutionLog()

  Returns the resource execution log.

  Returns:
    the resource execution log

### toString

    public String toString()

  Returns a string representation of these arguments suitable for debugging purposes only.

  Subclasses should reimplement this method.

  Overrides:
    `toString` in class `RefactoringArguments`
  Returns:
    a debug string
  Since:
    3.2

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.